Error installing tensorflow with pip, no module named 'termcolor'

Issue

Im trying to install tensorflow, using pip install tensorflow. I can install other packages but tensorflow is just not working. This is the error i get:

C:\Users\sebas>python -m pip install tensorflow

Collecting tensorflow
Using cached tensorflow-2.8.0-cp37-cp37m-win_amd64.whl (437.9 MB)
Collecting h5py>=2.9.0
Using cached h5py-3.6.0-cp37-cp37m-win_amd64.whl (2.8 MB)
Collecting tensorboard<2.9,>=2.8
Using cached tensorboard-2.8.0-py3-none-any.whl (5.8 MB)
Collecting termcolor>=1.1.0
Using cached termcolor-1.1.0.tar.gz (3.9 kB)
Preparing metadata (setup.py) ... error
error: subprocess-exited-with-error
× python setup.py egg_info did not run successfully.
│ exit code: 1
╰─> [6 lines of output]
Traceback (most recent call last):
File "<string", line 36, in <module>
File "pip-setuptools-caller>", line 34, in <module>
File "C:\Users\sebas\AppData\Local\Temp\pip-install-vmfvacm3 \termcolor_be9b831904ce413daecad52b36f017aa\setup.py", line 35, in <module>
from termcolor import VERSION
ModuleNotFoundError: No module named 'termcolor'
[end of output]
note: This error originates from a subprocess, and is likely not a problem with pip.
error: metadata-generation-failed
× Encountered error while generating package metadata.
╰─> See above for output.
note: This is an issue with the package mentioned above, not pip.
hint: See above for details. \

Solution

For people which will have similiar problem (on Windows)


Main problem is termcolor.

It seems it tries to import VERSION from new version (before instalation) but it behaves like it would load older versions which doesn’t have VERSION.

You may download termcolor as file .whl from

Unofficial Windows Binaries for Python Extension Packages

and try to install

pip install termcolor‑1.1.0‑py2.py3‑none‑any.whl

Answered By – furas

This Answer collected from stackoverflow, is licensed under cc by-sa 2.5 , cc by-sa 3.0 and cc by-sa 4.0

Leave a Reply

(*) Required, Your email will not be published